searchData={"items":[{"type":"module","title":"ExAliyun.OpenAPI","doc":"Functions to call Aliyun OpenAPI.\n* You can just put addition args.\n* You can find the api params in [Official Link](https://help.aliyun.com).","ref":"ExAliyun.OpenAPI.html"},{"type":"function","title":"ExAliyun.OpenAPI.call_afs/2","doc":"Aliyun Authenticate Sig Service(人机验证).\nYou can read the doc in [Official Link](https://help.aliyun.com/document_detail/66340.html).","ref":"ExAliyun.OpenAPI.html#call_afs/2"},{"type":"function","title":"ExAliyun.OpenAPI.call_codeup/2","doc":"Aliyun Project Task Service of CodeUp (云效任务管理).\nYou can read the doc in [Official Link](https://help.aliyun.com/document_detail/179127.html).","ref":"ExAliyun.OpenAPI.html#call_codeup/2"},{"type":"function","title":"ExAliyun.OpenAPI.call_cps/2","doc":"Aliyun Cloud Push Service(移动推送).\nYou can read the doc in [Official Link](https://help.aliyun.com/document_detail/48038.html).","ref":"ExAliyun.OpenAPI.html#call_cps/2"},{"type":"function","title":"ExAliyun.OpenAPI.call_geoip/2","doc":"Aliyun Describe Ipv4/6 Location Service(查询IPv4地理位置信息)\nPlease note that when using API to query IP Location Information, you need to open the relevant service in the Product package page first.\nYou can read the doc in [Official Link](https://help.aliyun.com/document_detail/170546.html?spm=a2c4g.11186623.2.13.4acc1d5cnoHpyi).","ref":"ExAliyun.OpenAPI.html#call_geoip/2"},{"type":"function","title":"ExAliyun.OpenAPI.call_global_sms/2","doc":"Global Aliyun Short Message Service(国际短信服务).\nYou can read the doc in [Official Link](https://www.alibabacloud.com/help/zh/doc-detail/106591.htm).","ref":"ExAliyun.OpenAPI.html#call_global_sms/2"},{"type":"function","title":"ExAliyun.OpenAPI.call_sms/2","doc":"Aliyun Short Message Service(短信服务).\nYou can read the doc in [Official Link](https://help.aliyun.com/document_detail/101414.html).","ref":"ExAliyun.OpenAPI.html#call_sms/2"},{"type":"function","title":"ExAliyun.OpenAPI.call_sts/2","doc":"Aliyun Security Token Service(短期访问权限).\nYou can read the doc in [Official Link](https://help.aliyun.com/document_detail/28576.html).","ref":"ExAliyun.OpenAPI.html#call_sts/2"},{"type":"function","title":"ExAliyun.OpenAPI.get_access_info/1","doc":"","ref":"ExAliyun.OpenAPI.html#get_access_info/1"},{"type":"function","title":"ExAliyun.OpenAPI.get_timestamp/0","doc":"","ref":"ExAliyun.OpenAPI.html#get_timestamp/0"},{"type":"type","title":"ExAliyun.OpenAPI.option/0","doc":"Options that may be passed to a request function. See `request/2` for detailed descriptions.","ref":"ExAliyun.OpenAPI.html#t:option/0"},{"type":"function","title":"ExAliyun.OpenAPI.post/4","doc":"Perform a POST request.\n\nSee `request/1` or `request/2` for options definition.\n\n    post(\"/users\", %{name: \"Jon\"})\n    post(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post(client, \"/users\", %{name: \"Jon\"})\n    post(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"ExAliyun.OpenAPI.html#post/4"},{"type":"function","title":"ExAliyun.OpenAPI.post!/4","doc":"Perform a POST request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    post!(\"/users\", %{name: \"Jon\"})\n    post!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post!(client, \"/users\", %{name: \"Jon\"})\n    post!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"ExAliyun.OpenAPI.html#post!/4"},{"type":"function","title":"ExAliyun.OpenAPI.request/2","doc":"Perform a request.","ref":"ExAliyun.OpenAPI.html#request/2"},{"type":"function","title":"Options - ExAliyun.OpenAPI.request/2","doc":"- `:method` - the request method, one of [`:head`, `:get`, `:delete`, `:trace`, `:options`, `:post`, `:put`, `:patch`]\n- `:url` - either full url e.g. \"http://example.com/some/path\" or just \"/some/path\" if using `Tesla.Middleware.BaseUrl`\n- `:query` - a keyword list of query params, e.g. `[page: 1, per_page: 100]`\n- `:headers` - a keyword list of headers, e.g. `[{\"content-type\", \"text/plain\"}]`\n- `:body` - depends on used middleware:\n    - by default it can be a binary\n    - if using e.g. JSON encoding middleware it can be a nested map\n    - if adapter supports it it can be a Stream with any of the above\n- `:opts` - custom, per-request middleware or adapter options","ref":"ExAliyun.OpenAPI.html#request/2-options"},{"type":"function","title":"Examples - ExAliyun.OpenAPI.request/2","doc":"ExampleApi.request(method: :get, url: \"/users/path\")\n\n    # use shortcut methods\n    ExampleApi.get(\"/users/1\")\n    ExampleApi.post(client, \"/users\", %{name: \"Jon\"})","ref":"ExAliyun.OpenAPI.html#request/2-examples"},{"type":"function","title":"ExAliyun.OpenAPI.request!/2","doc":"Perform request and raise in case of error.\n\nThis is similar to `request/2` behaviour from Tesla 0.x\n\nSee `request/2` for list of available options.","ref":"ExAliyun.OpenAPI.html#request!/2"},{"type":"module","title":"ExAliyun.OpenAPI.Utils","doc":"Utils for Aliyun OpenAPI.","ref":"ExAliyun.OpenAPI.Utils.html"},{"type":"function","title":"ExAliyun.OpenAPI.Utils.append_signature/3","doc":"","ref":"ExAliyun.OpenAPI.Utils.html#append_signature/3"},{"type":"function","title":"ExAliyun.OpenAPI.Utils.format_string_to_sign/1","doc":"","ref":"ExAliyun.OpenAPI.Utils.html#format_string_to_sign/1"},{"type":"function","title":"ExAliyun.OpenAPI.Utils.sign/2","doc":"","ref":"ExAliyun.OpenAPI.Utils.html#sign/2"},{"type":"extras","title":"ExAliyun.OpenAPI","doc":"# ExAliyun.OpenAPI\n\n[![Module Version](https://img.shields.io/hexpm/v/ex_aliyun_openapi.svg)](https://hex.pm/packages/ex_aliyun_openapi)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-lightgreen.svg)](https://hexdocs.pm/ex_aliyun_openapi/)\n[![Total Download](https://img.shields.io/hexpm/dt/ex_aliyun_openapi.svg)](https://hex.pm/packages/ex_aliyun_openapi)\n[![Last Updated](https://img.shields.io/github/last-commit/edragonconnect/ex_aliyun_openapi.svg)](https://github.com/edragonconnect/ex_aliyun_openapi/commits/master)","ref":"readme.html"},{"type":"extras","title":"Description - ExAliyun.OpenAPI","doc":"ExAliyun.OpenAPI supports aliyun openapis:\n* CPS(移动推送服务)\n* STS(短期访问权限管理)\n* SMS(短信服务)\n* AFS(人机验证)\n* CodeUp(云效任务管理)\n* GeoIP(查询 IP 地理位置)\n* more to be supported","ref":"readme.html#description"},{"type":"extras","title":"Installation - ExAliyun.OpenAPI","doc":"If [available in Hex](https://hex.pm/packages/ex_aliyun_openapi), the package can be installed\nby adding `ex_aliyun_openapi` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:ex_aliyun_openapi, \"~> 0.8\"}\n  ]\nend\n```","ref":"readme.html#installation"},{"type":"extras","title":"Configuration - ExAliyun.OpenAPI","doc":"You should add configs for your services in this way.\n```elixir\nconfig :ex_aliyun_openapi, type,\n  access_key_id: \"YOUR CPS ACCESS KEY ID\",\n  access_key_secret: \"YOUR CPS ACCESS KEY SECRET\"\n```\ntype support `[:cps, :sts, :sms, :global_sms, :afs, :codeup, :geoip]`","ref":"readme.html#configuration"},{"type":"extras","title":"Call the apis - ExAliyun.OpenAPI","doc":"You can find the api params in [https://help.aliyun.com](https://help.aliyun.com).\nThen you can choose the service, and just put the params to it.\n```elixir\nparams = %{\n  \"Action\" => \"AssumeRole\",\n  \"RoleArn\" => \"**YOUR RoleArn**\",\n  \"RoleSessionName\" => \"default\",\n  \"DurationSeconds\" => 3600,\n}\nExAliyun.OpenAPI.call_sts(params)\n\n# or\n\nExAliyun.OpenAPI.call_sts(params, access_key_id: \"ID\", access_key_secret: \"SECRET\")\n```\n```elixir\nparams = %{\n  \"Action\" => \"PushNoticeToAndroid\",\n  \"AppKey\" => \"**YOUR AppKey**\",\n  \"Target\" => \"DEVICE\",\n  \"TargetValue\" => \"**YOUR device_id**\",\n  \"Title\" => \"TEST title\",\n  \"Body\" => \"Hello, this is the notice body\"\n}\nExAliyun.OpenAPI.call_cps(params)\n\n# or\n\nExAliyun.OpenAPI.call_cps(params, access_key_id: \"ID\", access_key_secret: \"SECRET\")\n```","ref":"readme.html#call-the-apis"},{"type":"extras","title":"To add more services to this repo - ExAliyun.OpenAPI","doc":"1. You should add the specific function into `ex_aliyun_openapi.ex`.\n2. Complete the corresponding unit tests.","ref":"readme.html#to-add-more-services-to-this-repo"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.37.3"}}